### Constructor

# Eog Window new

#### Declaration [src]

    GtkWidget*
    eog_window_new (
      EogStartupFlags flags
    )

#### Description [src]

Creates a new and empty `EogWindow`. Use `flags` to indicate if the window should be initialized fullscreen, in slideshow mode, and/or without the thumbnails gallery visible. See `EogStartupFlags`.

#### Parameters

`flags`

  Type: `EogStartupFlags`

  The initialization parameters for the new window.

#### Return value

Type: `GtkWidget`

A newly created `EogWindow`.

The data is owned by the called function.